const baseUrl = getApp();
const api = require('../../config/api.js');
const util = require('../../config/util.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
      messagelist:[],
      baseurl:baseUrl.globalData.baseimgurl
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
      this.msglist();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  messageinfo:function(e){
    console.log(e);
    wx.navigateTo({
      url: '/pages/messageencyclopedias/messageencyclopedias?id='+e.currentTarget.id,
    })
  },
  msglist:function(){

    const that = this;
    let url = baseUrl.globalData.baseUrl + '/msglist/messagelist';
    var param = {
      id: '123456789'
    };
    //此处为使用封装的post请求
    util.get(url, param).then((res) => {
       console.log(res);
      that.setData({
        messagelist: res.data
      });

    }).catch((errMsg) => {
      console.log(errMsg);
    });
  }
})